---
title: PerformanceObserverEntryList
slug: Web/API/PerformanceObserverEntryList
tags:
  - API
  - Interface
  - Reference
  - Web Performance
---
<div>{{APIRef("Performance Timeline API")}}</div>

<p>The <strong><code>PerformanceObserverEntryList</code></strong> interface is a list of {{domxref("PerformanceEntry","peformance events", '', 'true')}} that were explicitly <em>observed</em> via the {{domxref("PerformanceObserver.observe","observe()")}} method.</p>

<p class="note">Note: this interface is exposed to {{domxref("Window")}} and {{domxref("Worker")}}.</p>

<h2 id="Methods">Methods</h2>

<dl>
	<dt>{{domxref("PerformanceObserverEntryList.getEntries","PerformanceObserverEntryList.getEntries()")}}</dt>
	<dd>Returns a list of explicitly <em>observed</em> {{domxref("PerformanceEntry")}} objects based on the given <em>filter</em>.</dd>
	<dt>{{domxref("PerformanceObserverEntryList.getEntriesByType","PerformanceObserverEntryList.getEntriesByType()")}}</dt>
	<dd>Returns a list of explicitly <em>observed</em> {{domxref("PerformanceEntry")}} objects of the given <em>entry type</em>.</dd>
	<dt>{{domxref("PerformanceObserverEntryList.getEntriesByName","PerformanceObserverEntryList.getEntriesByName()")}}</dt>
	<dd>Returns a list of explicitly <em>observed</em> {{domxref("PerformanceEntry")}} objects based on the given <em>name</em> and <em>entry type</em>.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">// Create observer for all performance event types
// list is of type PerformanceObserveEntryList
var observe_all = new PerformanceObserver(function(list, obs) {
   var perfEntries = list.getEntries();
   for (var i = 0; i &lt; perfEntries.length; i++) {
      print_perf_entry(perfEntries[i]);
      // do something with it
   }
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Performance Timeline Level 2', '#idl-def-performanceobserverentrylist', 'PerformanceObserverEntryList')}}</td>
			<td>{{Spec2('Performance Timeline Level 2')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceObserverEntryList")}}</p>
